Page Summary
-
The HTTP request
GET https://businesscommunications.googleapis.com/v1/regionsis used to list all RCS for Business regions. -
The response body contains a list of
RcsBusinessMessagingRegionobjects, each with fields forname,displayName, andmanagementType. -
The
ManagementTypecan beGOOGLE_MANAGED,CARRIER_MANAGED, orMANAGEMENT_TYPE_UNSPECIFIED.
Lists all RCS for Business regions.
HTTP request
GET https://businesscommunications.googleapis.com/v1/regions
The URL uses gRPC Transcoding syntax.
Request body
The request body must be empty.
Response body
A list of all RCS for Business regions.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"regions": [
{
object ( |
| Fields | |
|---|---|
regions[] |
List of all RCS for Business regions. |
RcsBusinessMessagingRegion
RCS for Business region information.
| JSON representation |
|---|
{
"name": string,
"displayName": string,
"managementType": enum ( |
| Fields | |
|---|---|
name |
Required. The identifier for the region. |
displayName |
The display name of the region. |
managementType |
The management type of the region. |
ManagementType
The management type of the region.
| Enums | |
|---|---|
MANAGEMENT_TYPE_UNSPECIFIED |
unspecified type. |
GOOGLE_MANAGED |
Google manages the process. |
CARRIER_MANAGED |
Carrier manages the process. |